Tasks

Bulk Status

GET/v1/tasks/bulk-status/{bulkActionId}
GET
/v1/tasks/bulk-status/{bulkActionId}

Retrieve the status of all tasks affected by a bulk action and download a CSV

While performing bulk operations using v1/tasks/bulk-snooze and v1/tasks/bulk-skip, you will receive the bulkActionId.

Using that bulkActionId, you can check the status of the bulk operation process. If there is any error during the bulk operation process, you will receive a CSV file link containing the error details.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Path Parameters

bulkActionIdstring

Responses

200
Bulk task status fetched successfully
{
  "bulkActionId": "lP0Zg2keMz",
  "action": "snooze",
  "totalTasks": 3,
  "completed": 3,
  "failed": 0,
  "pending": 5,
  "status": "completed",
  "createdAt": "2024-06-17T05:55:38.434Z",
  "completedAt": "2024-06-19T05:55:38.434Z",
  "csvDownloadLink": "https://my.saleshandy.com/api/edge/tasks/export/file?fileName=task_bulk_update_failed_report_62bc067f77_20250811_121241.csv"
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/tasks/bulk-status/{bulkActionId}" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

No response body